% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/procmod_frame.R
\name{as_procmod_frame}
\alias{as_procmod_frame}
\alias{as_procmod_frame.list}
\alias{as_procmod_frame.procmod_frame}
\alias{as_procmod_frame.array}
\alias{as_procmod_frame.matrix}
\title{Coerce to a ProcMod Frame.}
\usage{
as_procmod_frame(data, ...)

\method{as_procmod_frame}{list}(data, ...)

\method{as_procmod_frame}{procmod_frame}(data, ...)

\method{as_procmod_frame}{array}(data, ...)

\method{as_procmod_frame}{matrix}(data, ...)
}
\arguments{
\item{data}{a R object to coerce.}

\item{...}{supplementary parameters used in some
implementation of that method}
}
\value{
a \code{procmod_frame} object
}
\description{
Conversion methods are proposed for \code{list},
\code{matrix} and \code{array}.
}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
